/*  ---------------------------------------------------------------------------------
 *  Install Renew 1.0 for OS/2 Rexx
 *
 *  (C) feb. 1999   F. Wienberg
 *  --------------------------------------------------------------------------------- */

signal on halt name SignalHandler       /* Exception handler */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

parse upper value directory() with InstallDir "BIN\OS2"

if (\ (CHARIN(InstallDir"BIN\OS2\InstallRenew.cmd")='/'))
  then
  do
     say "please change to the directory InstallRenew.cmd is located in!"
     exit
  end

say "Installing to "InstallDir

say "Generating Command File..."

FileName = SysSearchPath('PATH', 'javapm.exe')
if FileName = '' then
do
   say 'Error: Cannot find javapm.exe in PATH directories.'
   exit
end

parse upper value FileName with JavaPath "BIN\JAVAPM.EXE"

say "Java found in "JavaPath

MYCLASSPATH = InstallDir"renew.jar;"InstallDir";."

say "Renew will add "MYCLASSPATH" to your CLASSPATH."

say "Constructing renew.cmd..."
"@echo @ECHO OFF > renew.cmd"
"@echo REM Renew 1.0 OS/2 Batch Command File >> renew.cmd"
"@echo REM By F. Wienberg and O. Kummer, 3/1999 >> renew.cmd"
'@echo IF "%%CLASSPATH%%" == "" GOTO NOCP >> renew.cmd'
"@echo SET CLASSPATH=%%CLASSPATH%%;"MYCLASSPATH" >> renew.cmd"
"@echo GOTO START >> renew.cmd"
"@echo :NOCP >> renew.cmd"
"@echo SET CLASSPATH="MYCLASSPATH" >> renew.cmd"
"@echo :START >> renew.cmd"
"@echo javapm.exe -cons CH.ifa.draw.cpn.CPNApplication %%1 %%2 %%3 %%4 %%5 %%6 %%7 %%8 %%9 >> renew.cmd"

say "Removing old Renew Folder (if any)..."
rc=SysDestroyObject('<RenewFolder>')

say "Creating Renew folder on Desktop..."
DEST='<WP_DESKTOP>'
if ( SysCreateObject( 'WPFolder',,
                 'Renew 1.0', DEST,,
                 'OBJECTID=<RenewFolder>;ICONFILE='InstallDir'bin\os2\RenewFolder;ANIMATEDFILE='InstallDir'bin\os2\RenewFolder',,
                  'f' ) != 1 ) then do
    say 'Error: Renew folder object could not be created on Desktop!'
    exit
end

say 'Renew folder has been created!'

say "Creating Renew Program Object..."

param = "-cons -classpath" CLASSPATH "CH.ifa.draw.cpn.CPNApplication"

rc=SysCreateObject('WPProgram',,
                   'Renew','<RenewFolder>',,
                   'OBJECTID=<Renew1_0>;STARTUPDIR='InstallDir'samples;ASSOCFILTER=*.RNW;ASSOCTYPE=Renew Drawing;EXENAME='InstallDir'bin\os2\renew.cmd;PARAMETERS=%*' ,,
                   'u')

if (rc)
  then
  say 'Renew Program Object has been created!'
else
  say 'Error: Renew program object could not be created!'

say "Creating Renew User Guide Object..."
if (SysCreateShadow(InstallDir'doc\renew.pdf','<RenewFolder>'))
  then
  say 'Renew User Guide Object has been created!'
else
  say 'Error: Renew User Guide Object could not be created!'

say "Creating Renew Sample Folder Object..."
if (SysCreateShadow(InstallDir'samples','<RenewFolder>'))
  then
  say 'Renew Sample Folder Object has been created!'
else
  say 'Error: Renew Sample Folder Object could not be created!'

say "Done. Press Return."

pull

exit

SignalHandler:
  call SysCls
  Say ;
  Say "error - exiting..."
  exit


